Runtime

## org.eclipse.gmf.runtime.notation.impl
Class EdgeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.gmf.runtime.notation.impl.ViewImpl
                              org.eclipse.gmf.runtime.notation.impl.EdgeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, Edge, View

Direct Known Subclasses:
  ConnectorImpl

    public class EdgeImpl

extends ViewImpl
implements Edge

An implementation of the model object 'Edge'.

The following features are implemented:

- `Source`
- `Target`
- `Bendpoints`
- `Source Anchor`
- `Target Anchor`

** Generated **

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected Bendpoints` `bendpoints` The cached value of the '`Bendpoints`' containment reference
`protected View` `source` The cached value of the '`Source`' reference
`protected Anchor` `sourceAnchor` The cached value of the '`Source Anchor`' containment reference
`protected View` `target` The cached value of the '`Target`' reference
`protected Anchor` `targetAnchor` The cached value of the '`Target Anchor`' containment reference

Fields inherited from class org.eclipse.gmf.runtime.notation.impl.ViewImpl
`childrenFeatures, element, ELEMENT_ESETFLAG, MUTABLE_EDEFAULT, MUTABLE_EFLAG, persistedChildren, sourceEdges, styles, targetEdges, transientChildren, type, TYPE_EDEFAULT, VISIBLE_EDEFAULT, VISIBLE_EFLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `EdgeImpl()`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` `basicSetBendpoints(Bendpoints newBendpoints, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetSource(View newSource, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetSourceAnchor(Anchor newSourceAnchor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetTarget(View newTarget, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetTargetAnchor(Anchor newTargetAnchor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Bendpoints` `createBendpoints(org.eclipse.emf.ecore.EClass eClass)`
`Anchor` `createSourceAnchor(org.eclipse.emf.ecore.EClass eClass)`
`Anchor` `createTargetAnchor(org.eclipse.emf.ecore.EClass eClass)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`Bendpoints` `getBendpoints()`
`View` `getSource()`
`Anchor` `getSourceAnchor()`
`View` `getTarget()`
`Anchor` `getTargetAnchor()`
`void` `setBendpoints(Bendpoints newBendpoints)`
`void` `setSource(View newSource)`
`void` `setSourceAnchor(Anchor newSourceAnchor)`
`void` `setTarget(View newTarget)`
`void` `setTargetAnchor(Anchor newTargetAnchor)`

Methods inherited from class org.eclipse.gmf.runtime.notation.impl.ViewImpl

`basicGetDiagram, basicGetElement, createChild, createStyle, getChildren, getDiagram, getElement, getNamedStyle, getPersistedChildren, getSourceEdges, getStyle, getStyles, getTargetEdges, getTransientChildren, getType, getVisibleChildren, insertChild, insertChild, insertChildAt, isMutable, isSetElement, isVisible, persist, persistChildren, removeChild, setElement, setMutable, setType, setTypeGen, setVisible, toString, unsetElement`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eInvoke, eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.notation.View
`createChild, createStyle, getChildren, getDiagram, getElement, getNamedStyle, getPersistedChildren, getSourceEdges, getStyle, getStyles, getTargetEdges, getTransientChildren, getType, getVisibleChildren, insertChild, insertChild, insertChildAt, isMutable, isSetElement, isVisible, persist, persistChildren, removeChild, setElement, setMutable, setType, setVisible, unsetElement`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### source

    protected View source

  The cached value of the '`Source`' reference.

  See Also:
    `getSource()`
  ** Generated **
  Ordered:

### target

    protected View target

  The cached value of the '`Target`' reference.

  See Also:
    `getTarget()`
  ** Generated **
  Ordered:

### bendpoints

    protected Bendpoints bendpoints

  The cached value of the '`Bendpoints`' containment reference.

  See Also:
    `getBendpoints()`
  ** Generated **
  Ordered:

### sourceAnchor

    protected Anchor sourceAnchor

  The cached value of the '`Source Anchor`' containment reference.

  See Also:
    `getSourceAnchor()`
  ** Generated **
  Ordered:

### targetAnchor

    protected Anchor targetAnchor

  The cached value of the '`Target Anchor`' containment reference.

  See Also:
    `getTargetAnchor()`
  ** Generated **
  Ordered:

Constructor Detail

### EdgeImpl

    protected EdgeImpl()

  ** Generated **

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ViewImpl`
  ** Generated **

### getSource

    public View getSource()

  Specified by:
    `getSource` in interface `Edge`
  Returns:
    the value of the 'Source' reference.
  See Also:
    `Edge.setSource(View)`, `NotationPackage.getEdge_Source()`, `View.getSourceEdges()`
  ** Generated **

### basicSetSource

    public org.eclipse.emf.common.notify.NotificationChain basicSetSource(View newSource,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **
    Not

### setSource

    public void setSource(View newSource)

  Specified by:
    `setSource` in interface `Edge`
  Parameters:
    `newSource` - the new value of the 'Source' reference.
  See Also:
    `Edge.getSource()`
  ** Generated **

### getTarget

    public View getTarget()

  Specified by:
    `getTarget` in interface `Edge`
  Returns:
    the value of the 'Target' reference.
  See Also:
    `Edge.setTarget(View)`, `NotationPackage.getEdge_Target()`, `View.getTargetEdges()`
  ** Generated **

### basicSetTarget

    public org.eclipse.emf.common.notify.NotificationChain basicSetTarget(View newTarget,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **
    Not

### setTarget

    public void setTarget(View newTarget)

  Specified by:
    `setTarget` in interface `Edge`
  Parameters:
    `newTarget` - the new value of the 'Target' reference.
  See Also:
    `Edge.getTarget()`
  ** Generated **

### getBendpoints

    public Bendpoints getBendpoints()

  Specified by:
    `getBendpoints` in interface `Edge`
  Returns:
    the value of the 'Bendpoints' containment reference.
  See Also:
    `Edge.setBendpoints(Bendpoints)`, `NotationPackage.getEdge_Bendpoints()`
  ** Generated **

### basicSetBendpoints

    public org.eclipse.emf.common.notify.NotificationChain basicSetBendpoints(Bendpoints newBendpoints,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setBendpoints

    public void setBendpoints(Bendpoints newBendpoints)

  Specified by:
    `setBendpoints` in interface `Edge`
  Parameters:
    `newBendpoints` - the new value of the 'Bendpoints' containment reference.
  See Also:
    `Edge.getBendpoints()`
  ** Generated **

### getSourceAnchor

    public Anchor getSourceAnchor()

  Specified by:
    `getSourceAnchor` in interface `Edge`
  Returns:
    the value of the 'Source Anchor' containment reference.
  See Also:
    `Edge.setSourceAnchor(Anchor)`, `NotationPackage.getEdge_SourceAnchor()`
  ** Generated **

### basicSetSourceAnchor

    public org.eclipse.emf.common.notify.NotificationChain basicSetSourceAnchor(Anchor newSourceAnchor,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setSourceAnchor

    public void setSourceAnchor(Anchor newSourceAnchor)

  Specified by:
    `setSourceAnchor` in interface `Edge`
  Parameters:
    `newSourceAnchor` - the new value of the 'Source Anchor' containment reference.
  See Also:
    `Edge.getSourceAnchor()`
  ** Generated **

### getTargetAnchor

    public Anchor getTargetAnchor()

  Specified by:
    `getTargetAnchor` in interface `Edge`
  Returns:
    the value of the 'Target Anchor' containment reference.
  See Also:
    `Edge.setTargetAnchor(Anchor)`, `NotationPackage.getEdge_TargetAnchor()`
  ** Generated **

### basicSetTargetAnchor

    public org.eclipse.emf.common.notify.NotificationChain basicSetTargetAnchor(Anchor newTargetAnchor,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

  ** Generated **

### setTargetAnchor

    public void setTargetAnchor(Anchor newTargetAnchor)

  Specified by:
    `setTargetAnchor` in interface `Edge`
  Parameters:
    `newTargetAnchor` - the new value of the 'Target Anchor' containment reference.
  See Also:
    `Edge.getTargetAnchor()`
  ** Generated **

### createBendpoints

    public Bendpoints createBendpoints(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `createBendpoints` in interface `Edge`
  Parameters:
    `eClass` - the `EClass` to be used in creating the `Bendpoints` object
  ** Generated **
    NOT

### createSourceAnchor

    public Anchor createSourceAnchor(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `createSourceAnchor` in interface `Edge`
  Parameters:
    `eClass` - the `EClass` to be used in creating the `Anchor` object

### createTargetAnchor

    public Anchor createTargetAnchor(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `createTargetAnchor` in interface `Edge`
  Parameters:
    `eClass` - the `EClass` to be used in creating the `Anchor` object

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `ViewImpl`
  ** Generated **

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `ViewImpl`
  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `ViewImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `ViewImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `ViewImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `ViewImpl`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.